#ifndef _BOX_H
#define _BOX_H

#include "shape.h"

//- Box
class Box : public Shape {
//. 3D Box Class.
public:
    Box(const Vector& llf, const Vector& urb);
            
    const Vector& getLLF() const;
    void setLLF(const Vector& llf);
    const Vector& getURB() const;
    void setURB(const Vector& n);    
    
    // intersect
    virtual bool intersect(const Ray& r,Vector& p,Vector& n, double& d) const;

private:
    Vector llf_;
    Vector urb_;  
};

#endif // _Box_H
