#ifndef _SPHERE_H
#define _SPHERE_H

#include "shape.h"

//- Sphere
class Sphere : public Shape {
//. Sphere Class.
public:
    //- Sphere    
    Sphere(const Vector& center, double radius);    
            
    const Vector& getCenter() const;
    void setCenter(const Vector& c);

    double getRadius() const;
    void setRadius(double r);            
    
    // intersect
    virtual bool intersect(const Ray& r,Vector& p,Vector& n, double& d) const;

private:
    Vector center_;
    double radius_;      
};

#endif // _Sphere_H
